<?php
require "db.php";

if (!is_numeric($_REQUEST['id'])) {
    exit();
}

$id = (int) $_REQUEST['id'];

$row = dbRow("SELECT * FROM `niches` WHERE `record_num` = '$id'");
if (!is_array($row)) {
    setMessage("Category ID $id does not exist!", 'error');
    pageNotFound(true);
}
    
if (isset($_POST['formSubmit'])) {
    
    $_POST = array_map_array('trim', $_POST);
    
    $post = mysql_real_escape_array($_POST);

    if ($_POST['name'] == "") {
        setMessage('Category "Name" is required!', 'error');
    } else if (is_array(dbRow("SELECT * FROM `niches` WHERE `name` = '{$post['name']}' AND `record_num` != '$id'"))) {
        setMessage('Such category (name) already exist!', 'error');
    }
    
  
    if (!getMessages(false, 'error')) {
        dbUpdate('niches', array(
            'name' => $_POST['name'],
            'description' => $_POST['description'],
            'metakw' => $_POST['metakw'],
            'metadesc' => $_POST['metadesc'],
            'csv_match' => $_POST['csv_match'],
            'metatitle' => $_POST['metatitle'],
            'metaheader' => $_POST['metaheader'],
			'flag_navigation' => (int)$_POST['flag_navigation'],
            'record_num' => $id,
        ));
        setMessage('Category updated. <a href="niches.php">Click here to go back</a>.');
    }
}


$_POST += $row;
entities_walk($_POST);

?>

<? require "header.php"; ?>

<div class="content-page">

    <div class="header-area">
        <div class="breadcrumbs">  
            <a href="index.php">Admin Home</a>
            <span><a href="niches.php">Tags</a></span>
        </div>
    </div>

    <div class="content-outer">

        <h2>Edit<strong>Tag</strong></h2>

        <div class="content-inner">

            <? echo getMessages(); ?>

            <form method="POST" action="" enctype="multipart/form-data" class="form" novalidate autocomplete="off">
                <table class="pagetable" id="languages">
                    
                    <tr class="baseLang langInput">
                        <td>Name</td>
                        <td><input name="name" type="text" value="<?php echo $_POST['name']; ?>" required /></td>
                    </tr>
                    
                    <tr class="baseLang langInput">
                        <td>Title Tag</td>
                        <td><input name="metatitle" type="text" value="<?php echo $_POST['metatitle']; ?>" /></td>
                    </tr>
                   
                    <tr class="baseLang langInput">
                        <td>Header Title</td>
                        <td><input name="metaheader" type="text" value="<?php echo $_POST['metaheader']; ?>" /></td>
                    </tr>
                    
                    <tr class="baseLang langInput">
                        <td>Meta KW</td>
                        <td><input name="metakw" type="text" value="<?php echo $_POST['metakw']; ?>" /></td>
                    </tr>
                   
                    <tr class="baseLang langInput">
                        <td>Meta Desc</td>
                        <td><input name="metadesc" type="text" value="<?php echo $_POST['metadesc']; ?>" /></td>
                    </tr>
                    
                    <tr class="baseLang langInput">
                        <td>Description</td>
                        <td><textarea name="description" cols="35" rows="4"><?php echo $_POST['description']; ?></textarea></td>
                    </tr>
                   
                   
                    <tr>
                        <td>Show In Navigation</td>
                        <td>
                            <select name="flag_navigation">
                                <option<?php echo ($_POST['flag_navigation'] == '0') ? ' selected' : ''; ?> value="0">No</option>
                                <option<?php echo ($_POST['flag_navigation'] == '1') ? ' selected' : ''; ?> value="1">Yes</option>
                            </select>
                        </td>
                    </tr>
					
					
					
                    <tr class="item submit">
                        <td colspan="2">
                            <input type="hidden" name="id" value="<?php echo $id; ?>" />
                            <input type="hidden" name="formSubmit" value="1" />
                            <button type="submit" class="btn action-save">Save</button>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>

</div>
<?php require "footer.php"; ?>
