<?php
require "db.php";

if ($_POST['list']) {
    foreach ($_POST['list'] as $i) {
        if (is_numeric($i)) {
            dbQuery("DELETE FROM `niches` WHERE `record_num` = '$i'");
        }
    }
}

if (isset($_POST['formSubmit'])) {

    $_POST = array_map_array('trim', $_POST);
    
    $post = mysql_real_escape_array($_POST);

    if ($_POST['name'] == '') {
        setMessage('"Category Name" is required!', 'error');
} else if (is_array(dbRow("SELECT * FROM `niches` WHERE `name` = '".$post['name']."'"))) {
        setMessage('Such category (name) already exist!', 'error');
    }

    if (!getMessages(false, 'error')) {
        $insert_id = dbInsert('niches', array(
            'name' => $_POST['name'],
            'description' => $_POST['description'],
            'metakw' => $_POST['metakw'],
            'metadesc' => $_POST['metadesc'],
            'csv_match' => $_POST['csv_match'],
            'metatitle' => $_POST['metatitle'],
            'metaheader' => $_POST['metaheader'],
			'flag_navigation' => $_POST['flag_navigation']
        ));
        setMessage("Category has been added!");
        header("Location: ".$_SERVER['REQUEST_URI']);
        exit();
    } else {
        entities_walk($_POST);
    }
}

$page = (isset($_GET['page']) && is_numeric($_GET['page'])) ? (int) $_GET['page'] : 1;
$max_results = (isset($_GET['setmax']) && $_GET['setmax'] > 0) ? (int) $_GET['setmax'] : 100;
$from = ($page * $max_results) - $max_results;
?>

<? require "header.php"; ?>



<div class="content-page">

    <div class="header-area">
        <div class="breadcrumbs">  
            <a href="index.php">Admin Home</a>          
            <span><a href="niches.php">Tags</a></span>  
        </div>
    </div>

    <div class="content-outer">

        <h2>Manage<strong>Tags</strong></h2>

        <div class="content-inner">

            <? echo getMessages(); ?>

            <form method="POST" action="" enctype="multipart/form-data" class="form" novalidate autocomplete="off">
                <table class="pagetable" id="languages"> 
                    <thead>
                        <tr>
                            <th colspan="2">Add Tag</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                        <tr class="baseLang ">
                            <td>Name</td>
                            <td><input name="name" type="text" required value="<? echo $_POST['name']; ?>" /></td>
                        </tr>
                        
                        <tr class="baseLang langInput">
                            <td>Title Tag</td>
                            <td><input name="metatitle" type="text" value="<? echo $_POST['metatitle']; ?>" /></td>
                        </tr>
                        
                        <tr class="baseLang langInput">
                            <td>Header Title</td>
                            <td><input name="metaheader" type="text" value="<? echo $_POST['metaheader']; ?>" /></td>
                        </tr>
                        
                        <tr class="baseLang langInput">
                            <td>Meta KW</td>
                            <td><input name="metakw" type="text" value="<? echo $_POST['metakw']; ?>" /></td>
                        </tr>
                        
                        <tr class="baseLang langInput">
                            <td>Meta Desc</td>
                            <td><input name="metadesc" type="text" value="<? echo $_POST['metadesc']; ?>" /></td>
                        </tr>
                        
                        <tr class="baseLang langInput">
                            <td>Description</td>
                            <td><textarea name="description" cols="35" rows="4"><? echo $_POST['description']; ?></textarea></td>
                        </tr>
                      <tr>
                        <td>Show In Navigation</td>
                        <td>
                            <select name="flag_navigation">
                                <option<?php echo ($_POST['flag_navigation'] == '0') ? ' selected' : ''; ?> value="0">No</option>
                                <option<?php echo ($_POST['flag_navigation'] == '1') ? ' selected' : ''; ?> value="1">Yes</option>
                            </select>
                        </td>
                    </tr>
                       
                        <tr class="item submit">
                            <td colspan="2">
                                <input type="hidden" name="formSubmit" value="1" />
                                <button type="submit" class="btn action-save">Submit</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>

            <form method="POST" action="" enctype="multipart/form-data" class="form" novalidate autocomplete="off">
                <table class="pagetable">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th></th>
                            <th class="options"></th>
                            <th style="width:50px">
                                <label for="check-select-all-1" class="checkbox">
                                    <input type="checkbox" name="select_all" value="1" data-items="list[]" id="check-select-all-1">
                                    <i></i>
                                </label>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <?
                        $result = dbQuery("SELECT * FROM `niches` ORDER BY `name` LIMIT $from, $max_results",false);
                        $total_results = dbValue("SELECT COUNT(*) AS `count` FROM `niches`", 'count');
                        $total_pages = ceil($total_results / $max_results);
                        ?>
                        <? if (count($result) == 0) { ?>
                            <tr><td colspan="4"><div class="notification alert">No categories found</div></td></tr>
                        <? } else { ?>
                            <? foreach($result as $row) { ?>
                                <tr>
                                    <td><?php echo $row['name']; ?></td>
									<td></td>
                                    <td class="options">
                                        <a href="edit_niche.php?id=<? echo $row['record_num']; ?>" class="btn btn-xs btn-orange" title="Edit Niche"><i class="ion ion-edit icon-edit"></i></a>
                                    </td>
                                    <td>
                                        <label class="checkbox">
                                            <input type="checkbox" name="list[]" value="<? echo $row['record_num']; ?>" id="ids-<? echo $row['record_num']; ?>"><i></i>
                                        </label>
                                    </td>
                                </tr>
                            <? } ?>
                        <? } ?>
                        <tr class="item submit">
                            <td colspan="4">
                                <button type="submit" class="btn action-delete">Delete Selected</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
            <div id="adminPagination"><? echo showAdminPagination($total_pages); ?></div>           
        </div>
    </div>
</div>
<? require "footer.php"; ?>
