<div class="container mx-0 px-0 d-flex flex-nowrap">
    <div id="mobile-categories" class="list-container py-3">
        <div class="show-categories text-uppercase my-2">
            <span>Show Filters</span>
            <i class="bi bi-chevron-down"></i>
        </div>
        
        <div class="inner-box">
			<?php if(isset($template_sidebar_status) && $template_sidebar_status == true) { ?>
			<span class="list-header">
                Status
            </span>

            <ul class="category-list">
                <li><? echo buildSideLink("Live/Online", "status", "online"); ?></li>
                <li><? echo buildSideLink("Offline", "status", "offline"); ?></li>
            </ul>
			<?php } ?>
			<?php if(isset($template_sidebar_gender) && $template_sidebar_gender == true) { ?>
            <span class="list-header">
                Gender
            </span>

            <ul class="category-list">
                <li><? echo buildSideLink("Couple", "gender", "c"); ?></li>
                <li><? echo buildSideLink("Female", "gender", "f"); ?></li>
                <li><? echo buildSideLink("Male", "gender", "m"); ?></li>
                <li><? echo buildSideLink("Trans", "gender", "t"); ?></li>
            </ul>
			<?php } ?>
			
			<?php if(isset($template_sidebar_age) && $template_sidebar_age == true) { ?>
            <span class="list-header">
                Age
            </span>
            <ul class="category-list">
                <li><? echo buildSideLink("18-19", "age", "18-19"); ?></li>
                <li><? echo buildSideLink("20-29", "age", "20-29"); ?></li>
                <li><? echo buildSideLink("30-39", "age", "30-39"); ?></li>
                <li><? echo buildSideLink("40-49", "age", "40-49"); ?></li>
                <li><? echo buildSideLink("50-59", "age", "50-59"); ?></li>
                <li><? echo buildSideLink("60+", "age", "60-100"); ?></li>
            </ul>
			<? } ?>
			
			<?php if(isset($template_sidebar_tags) && $template_sidebar_tags == true) { ?>
            <span class="list-header">
                Tags
            </span>
            <ul class="category-list">
				<?php
					$tagsList = dbQuery("SELECT name FROM niches WHERE flag_navigation = 1 ORDER BY name ASC");
					foreach($tagsList as $t) { 
						echo "<li>".buildSideLink($t['name'], "tags", strtolower($t['name']))."</li>";
					}
				?>
            </ul>
			<?php } ?>
			
			<?php if(isset($template_sidebar_ethnicity) && $template_sidebar_ethnicity == true) { ?>
			<span class="list-header">
                Ethnicity
            </span>
            <ul class="category-list">
				<?php
					$ethnicityList = dbQuery("SELECT `value` FROM fields_values WHERE field_id = 2 ORDER BY `weight` ASC");
					foreach($ethnicityList as $t) { 
						echo "<li>".buildSideLink($t['value'], "ethnicity", strtolower($t['value']))."</li>";
					}
				?>
            </ul>
			<?php } ?>
			
			<?php if(isset($template_sidebar_hair) && $template_sidebar_hair == true) { ?>
			<span class="list-header">
                Hair Color
            </span>
            <ul class="category-list">
				<?php
					$hairList = dbQuery("SELECT `value` FROM fields_values WHERE field_id = 4 ORDER BY `weight` ASC");
					foreach($hairList as $t) { 
						echo "<li>".buildSideLink($t['value'], "hair", strtolower($t['value']))."</li>";
					}
				?>
            </ul>
			<?php } ?>
        </div>
    </div>
</div>