<?php

ini_set("zlib.output_compression", 0);  // off
ini_set("implicit_flush", 1);  // on   
ob_implicit_flush(true);
ob_end_flush();
ob_start();

include 'admin/db.php';

error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ini_set('display_errors', 1);

ignore_user_abort(true);
ini_set('memory_limit', '2G');
ini_set('max_execution_time', 3600);
set_time_limit(3600);
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Mechbunny Tube Script Update 6.2.6</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.6/united/bootstrap.min.css" />
        <style type="text/css">
            .alert{margin-bottom:0}
            .notification .alert{padding:10px 15px}
        </style>
    </head>
    <body>

        <div class="container">
            <div class="well">

                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-header text-center">
                            <h1>Mechbunny Cam Aggregator Update 1.0.2</h1>
                        </div>
                    </div>
                </div>

                <div class="row">

                    <?
                    $run_update = true;
                    $error = false;

                    if ($_POST['startUpgrade'] && $run_update === true) {


						dbQuery("ALTER TABLE `paysites` ADD `last_log` LONGTEXT NOT NULL AFTER `whitelabel_domain_placeholder`;");

						dbQuery("INSERT INTO `paysites` (`name`, `functionName`, `apiData`, `apiDataFieldName`, `maxResults`, `parameters`, `parametersPlaceholder`, `wmReferral`, `preferred`, `logoImage`, `whitelist`, `whitelabel_domain`, `whitelabel_domain_placeholder`, `last_log`, `enabled`, `record_num`) VALUES ('Cambuilder/Streamate', 'cambuilderData', '', 'AFNO for Streamate, enter 0 if using Cambuilder WL', '1000', '', '', 'https://cambuilder.com', 'chat_room_url', 'streamate.png', '', '', 'Cambuilder whitelabel domain, no https://. Empty = Uses Streamate', '', '0', NULL);");
	
						dbQuery("INSERT INTO `paysites` (`name`, `functionName`, `apiData`, `apiDataFieldName`, `maxResults`, `parameters`, `parametersPlaceholder`, `wmReferral`, `preferred`, `logoImage`, `whitelist`, `whitelabel_domain`, `whitelabel_domain_placeholder`, `last_log`, `enabled`, `record_num`) VALUES ('ImLive', 'imliveData', '', 'WID', '1000', '', 'Promocode', 'https://affiliate.imlive.com/wmaster.asp?WID=430892700&promocode=BCODET0000271_00000', 'chat_room_url', 'imlive.jpg', '', '', '', '', '0', NULL);");
					
						
						if (!$error) { 
                            setMessage('<div class="alert alert-success">Upgrade completed</div>', 'alert');
                            setMessage('<div class="alert alert-warning"><strong>WARNING: remove "update.php" file from your server!</strong></div>', 'alert');
                        }
                        setMessage('<div class="alert alert-info"><a href="' . $basehttp . '">Go to homepage</a> or <a href="' . $basehttp . '/admin/">go to Admin Area</a></div>', 'alert');
                    }
                    ?>

                    <?php echo getMessages(); ?>

                </div>

                <?php if ($run_update === true && !$_POST['startUpgrade']) { ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <form action="" method="post" class="text-center">
                                <input type="hidden" name="startUpgrade" value="1">
                                <button type="submit" class="btn btn-primary btn-lg">Start upgrade</button>
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

    </body>
</html>
<?php ob_flush(); flush(); ?>
